<template lang="pug">
    v-card
        v-card-title Cut
        v-card-text
            v-text-field(
                label="Shape in Plan:"
                :value="cut.shape_in_plan"
                @input="grabChange('shape_in_plan', $event)"
            )
            v-text-field(
                label="Corners:"
                :value="cut.corners"
                @input="grabChange('corners', $event)"
            )
            v-text-field(
                label="Dimensions / Depth"
                :value="cut.dimentions_depth"
                @input="grabChange('dimentions_depth', $event)"
            )
            v-text-field(
                label="Break of Slope - Top"
                :value="cut.break_of_slope_top"
                @input="grabChange('break_of_slope_top', $event)"
            )
            v-text-field(
                label="Sides"
                :value="cut.sides"
                @input="grabChange('sides', $event)"
            )
            v-text-field(
                label="Break of Slope - Base"
                :value="cut.break_of_slope_base"
                @input="grabChange('break_of_slope_base', $event)"
            )
            v-select(
                label="Orientation"
                :value="cut.orientation"
                @input="grabChange('orientation', $event)"
                :items="options.orientations"
            )
            v-text-field(
                label="Inclination of Axis"
                :value="cut.inclination_of_axis"
                @input="grabChange('inclination_of_axis', $event)"
            )
            v-text-field(
                label="Truncated"
                :value="cut.truncation"
                @input="grabChange('truncation', $event)"
            )
            v-text-field(
                label="Other Comments"
                :value="cut.comments"
                @input="grabChange('comments', $event)"
            )
</template>

<script>
export default {
    name: "Cut",
    props: {
        options: {
            required: true,
            type: Object
        },
        cut: {
            required: true
        }
    },
    data: function() {
        return {
            localCut: {}
        };
    },
    created: function() {
        this.localCut = this.cut;
    },
    methods: {
        valueChanged: function() {
            this.$emit("input", this.localCut);
        },
        grabChange: function(element, value) {
            this.localCut[element] = value;
            this.valueChanged();
        }
    }
};
</script>
